# NatPunchthroughServer.h File Reference

Contains the NAT-punchthrough plugin for the server. More...

`#include "NativeFeatureIncludes.h"`
`#include "RakNetTypes.h"`
`#include "Export.h"`
`#include "PluginInterface2.h"`
`#include "PacketPriority.h"`
`#include "SocketIncludes.h"`
`#include "DS_OrderedList.h"`
`#include "RakString.h"`

## Classes
class | NatPunchthroughServer
| Server code for NATPunchthrough. More...

## Detailed Description

Contains the NAT-punchthrough plugin for the server.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.